complexType "PositionsAcknowledged"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, portfolio?, (definedPosition? | removedPosition? | unprocessedPosition?)*, party*, account*
</...>

Content Model Elements (12):

  account, correlationId, definedPosition, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), portfolio (in positionsAcknowledged), removedPosition, sequenceNumber (defined in Sequence.model group), unprocessedPosition, validation

All Direct / Indirect Based Elements (1):

  positionsAcknowledged

Known Usage Locations

- As direct type of elements (1):
  positionsAcknowledged

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) PositionsAcknowledged

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="PositionsAcknowledged"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolio" type="PortfolioDefinition"/> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element minOccurs="0" name="definedPosition" type="PositionReference"/> <xsd:element minOccurs="0" name="removedPosition" type="PositionReference"/> <xsd:element minOccurs="0" name="unprocessedPosition" type="UnprocessedPosition"/> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/12)
definedPosition

  Type: | PositionReference, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="definedPosition" type="PositionReference"/>

portfolio

  Type: | PortfolioDefinition, complex content

  Contains the portfolio definition.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="portfolio" type="PortfolioDefinition"/>

removedPosition

  Type: | PositionReference, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="removedPosition" type="PositionReference"/>

unprocessedPosition

  Type: | UnprocessedPosition, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="unprocessedPosition" type="UnprocessedPosition"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.